<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../../../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../../../jacoco-resources/report.gif" type="image/gif"/><title>HomeController.java</title><link rel="stylesheet" href="../../../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../../../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../../../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../../../index.html" class="el_report">green-grocery (29-Oct-2022 4:03:09 pm)</a> &gt; <a href="../../index.html" class="el_group">green-grocery</a> &gt; <a href="../index.html" class="el_bundle">src/main/java</a> &gt; <a href="index.source.html" class="el_package">com.example.demo.controller</a> &gt; <span class="el_source">HomeController.java</span></div><h1>HomeController.java</h1><pre class="source lang-java linenums">package com.example.demo.controller;

import java.util.List;
import java.util.Optional;

import javax.servlet.http.HttpSession;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import com.example.demo.model.Products;
import com.example.demo.repository.ProductRepository;
import com.example.demo.repository.UserRepository;



@Controller
<span class="fc" id="L25">public class HomeController {</span>
	    @Autowired
	    private ProductRepository productRepo;
	
	@RequestMapping(&quot;/p&quot;)
    public String home(Model m) {
<span class="nc" id="L31">	List&lt;Products&gt;list=productRepo.findAll();</span>
<span class="nc" id="L32">		m.addAttribute(&quot;all_products&quot;,list);</span>
		
<span class="nc" id="L34">		return &quot;product&quot;;</span>
    }

	@GetMapping(&quot;/load_form&quot;)
    public String loadForm() {
<span class="nc" id="L39">        return &quot;add&quot;;</span>
    }

	@GetMapping(&quot;/edit_form/{id}&quot;)
    public String editForm(@PathVariable(value=&quot;id&quot;)long id,Model m) {
<span class="nc" id="L44">	Optional&lt;Products&gt;product=productRepo.findById(id);</span>
<span class="nc" id="L45">		Products pro=product.get();</span>
<span class="nc" id="L46">		m.addAttribute(&quot;product&quot;, pro);</span>
<span class="nc" id="L47">	return &quot;edit&quot;;</span>
    }

	@PostMapping(&quot;/save_products&quot;)
    public String saveProducts(@ModelAttribute Products products,HttpSession session) {
<span class="nc" id="L52">		productRepo.save(products);</span>
<span class="nc" id="L53">		session.setAttribute(&quot;msg&quot;, &quot;Product Added Sucessfully..&quot;);</span>
		
<span class="nc" id="L55">		return &quot;redirect:/load_form&quot;;</span>
    }

	@PostMapping(&quot;/update_products&quot;)
    public String updateProducts(@ModelAttribute Products products,HttpSession session) {
<span class="nc" id="L60">		productRepo.save(products);</span>
<span class="nc" id="L61">		session.setAttribute(&quot;msg&quot;, &quot;Product Update Sucessfully..&quot;);</span>
		
<span class="nc" id="L63">		return &quot;redirect:/p&quot;;</span>
    }
	 
	@GetMapping(&quot;/delete/{id}&quot;)
	public String deleteProducts(@PathVariable(value=&quot;id&quot;)long id,HttpSession session) {
<span class="nc" id="L68">		productRepo.deleteById(id);</span>
<span class="nc" id="L69">		session.setAttribute(&quot;msg&quot;, &quot;Product Delete Sucessfully..&quot;);</span>
<span class="nc" id="L70">		return &quot;redirect:/p&quot;;</span>
}
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.8.202204050719</span>green-grocery (29-Oct-2022 4:03:09 pm)</div></body></html>